<?php

namespace App\Models;

use DB;

class formaPago
{
    public static function obtenFormaPago($id, $rut_emisor)
    {
        return DB::table('cpago')
            ->where('ID_CPAGO', '=', $id)
            ->whereRaw('ID_EMPRESA = \''.$rut_emisor.'\'')
            ->first();
    }
    public static function obtenFormaPagoPrefactura($id)
    {
        return DB::table('flujo_pago')
            ->where('id', '=', $id)
            ->first();
    }

    public static function obtenFormaPagoWoopy($rut_emisor)
    {
        return DB::table('cpago')
            ->whereRaw('ID_EMPRESA = \''.$rut_emisor.'\'')
            //->where('woopy', '=', '1')
            ->first();
    }
}
